(function () {
  'use strict';
  var themeEl = document.querySelector('link[href$="theme.css"]');
  var toggleEl = document.getElementById('themetoggle');

  function enableTheme(isEnabled) {
    if (themeEl) {
      themeEl.disabled = !isEnabled;
    }
  }

  function onToggleChange(event) {
    enableTheme(event.target.checked);
  }

  toggleEl.control.checked = true; // reset browser state
  toggleEl.addEventListener('change', onToggleChange);
}());
